petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscPOpenSetMachine

Sets the name of the default machine to run PetscPOpen() calls on

### Synopsis

    PetscErrorCode  PetscPOpenSetMachine(const char machine[])

Logically Collective on MPI_Comm, but only process 0 runs the command

### Input Parameter

machine -machine to run command on or NULL to remove previous entry

### Options Database

-popen_machine <machine> -

### See Also

PetscFOpen(), PetscFClose(), PetscPClose(), PetscPOpen()

### Level

intermediate

### Location

src/sys/fileio/mpiuopen.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages